import { IBoundingBoxWithCenter } from "../../domain/IBoudingBox";
import { IVehiclePositionsRepository } from "../../domain/repository/IVehiclePositionsRepository";
import { IPublicApiCacheDto } from "../../../../schema-definitions/vehicle-positions/redis/interfaces/IPublicApiCacheDto";
import { IoRedisConnector } from "@golemio/core/dist/helpers/data-access/redis/IoRedisConnector";
import { ILogger } from "@golemio/core/dist/helpers/logger/LoggerProvider";
export declare class PublicVehiclePositionsRepository implements IVehiclePositionsRepository {
    private redisConnector;
    private log;
    private setName;
    constructor(redisConnector: IoRedisConnector, log: ILogger);
    setCurrentSetName(name: string): void;
    getAllVehicleIds(boundingBox: IBoundingBoxWithCenter): Promise<string[]>;
    getAllVehiclePositions(vehicleIds: string[], tripIds?: string[]): Promise<IPublicApiCacheDto[]>;
    getAllVehiclePositionsForMultipleTrips(tripIds: string[], omitFutureTrips?: boolean): Promise<Map<string, IPublicApiCacheDto[]>>;
    private pushPositionsIntoMapByTrip;
    getTripsWithUntrackedVehicles(tripIds: string[]): Promise<Set<string>>;
    getDetailedVehiclePosition(vehicleId: string, tripId?: string): Promise<IPublicApiCacheDto | null>;
    private getVehicleIdsForMultiple;
    private getCanceledTrips;
}
